PDA

View Full Version : 5E Alternate Wound Colors Extension



Griogre
July 6th, 2014, 18:03
I ran a 5E game and not having the wound colors the way I was use to them bugged me - so I made an Alt Wound Colors extension for 5E and l'm sharing.

This extension changes the default wound colors on the party sheet, combat tracker, and tokens for the Tiered and Standard settings. The tiered colors are:


Blue for Healthy
Green for Light Wounds
Orange for Moderate Wounds
Red for Heavy Wounds
Black for Critical Wounds
Gray for Dying, Unconscious, Dead.


Light and Critical Wounds are omitted if you don't have the option Detailed Wounds on. There's some minor changes to the tool tips on the party sheet.

For standard (gradient) settings wounded creature colors will shift from green to red for wounds of 1 to 50% and from red to black for 51% to 99% wounds, with unwounded creatures being blue and dead/dying being gray.

This is a release version. If you notice any problems, post them here so I can update the extension.

You can download the extension here: https://www.dropbox.com/s/58o4t45tqqk1fas/AltWoundColors%20200001.ext?dl=0

Edit: Extension updated to work with changes to manager_color. Thanks go to mattekure for posting a temporary fix yesterday.
Known issue: The party sheet bar colors are not working correctly. I will look at fixing them within the next week.

ShadeRaven
July 9th, 2014, 06:26
Cool stuff. Thanks, G!

Griogre
July 10th, 2014, 00:46
Glad you liked it.

I just did a fast diff and didn't see any problems with version 3.0.6. Let me know if you see any problems, it will probably be a few weeks before I run another 5E game.

Griogre
September 24th, 2014, 23:20
This extension needs to be updated for the new release of FG 3.0.8. Until I update it you should disable it.

Griogre
September 25th, 2014, 01:10
This extension has been updated to version 06 beta and works with FG 3.0.8. The new file name is 5E AltWoundColors 060.ext. This is a beta release, let me know if you find any problems with it. You should delete the older extension file of 5E AltWoundColors 050.ext See the first post for the download link.

Irondrake
September 25th, 2014, 16:56
Thanks Griogre! Will give this a shot in our next session :)

Griogre
February 6th, 2015, 23:45
This Extension has been updated to work with FG 3.0.10 and the first post edited to point to the updated link.

Griogre
March 29th, 2015, 22:15
This extension has been updated to work with FG 3.0.11 and the first post edited to point to the updated link.

Vackipleur
June 2nd, 2015, 20:48
Hi,

Is it possible to update this extension to 3.1, please ?

Griogre
June 2nd, 2015, 21:31
I'll look at this when I get some time.

Griogre
June 2nd, 2015, 22:31
I've now updated this extension to work with FG 3.1.0 and updated the first post to point to the updated link.

WhtZombie
June 3rd, 2015, 15:05
Excellent, my players love this ext...

Griogre
June 3rd, 2015, 18:45
Glad to hear it. Yeah I did this extension because one of the questions the players always asked was who looks more hurt. I've also found that with big monsters the players cheer the color changes and it give them sense of how tough a monster is by watching how much damage it takes. I actually love JPG's color shifting code, its very elegant and feel a bit guilty replacing it. :p ;)

WhtZombie
June 3rd, 2015, 22:49
Yup, gives me a visual queue so I can either describe a massive hit or indicate the creature is slowing down due to its wounds...

jh79
June 4th, 2015, 06:33
Among my favorites also, thanks

Aaron
June 4th, 2015, 07:23
Thanks for the update Griogre. :)

Vackipleur
June 4th, 2015, 10:06
Woot ! Thank you very much. My favortie extension too :)

Griogre
June 4th, 2015, 10:07
You're welcome to you all. :)

bnickelsen
July 18th, 2015, 14:43
Is there any setup needed? It does not seem to be working for me?

Zacchaeus
July 18th, 2015, 16:04
Well the extension needs to be installed properly and there are some options in the options tab that you might need to experiment with. However before you get too worried about it the latest version of Fantasy Grounds (v3.1.2) which should be released soon will make this extension obsolete.

Griogre
July 19th, 2015, 05:39
Like Zacchaeus says you should be able to just drop the extension into your FG extensions folder. To get the most out of the extension Open the options menu and under Combat options, set View: Wound Categories to Detailed. In Token (GM) set "Token Show Ally Health" to Dot and set "Token: Show Enemy health" to off.You won't see much from the extension until you have some tokens linked from to the combat tracker in combat and they start taking damage.

I am hoping the extension will go obsolete on the next patch though I already have a friend asking me to updated it for 3.1.12 - just in case. ;)

Griogre
July 27th, 2015, 20:06
The AltWoundColors extension has been updated to be compatible with FG v3.1.2. The extension now also uses similar colors with the gradient setting in addition to the tiered setting. Whew, this is very nearly a Core extension now and I believe this will be a very stable release - hence the .9 version. Many of the things the first version of the forefather of this extension, Alt Wounds, did are now build in options in the ruleset. For those wondering, the option settings I use under "Combat (GM)" with this extension are: "View: Bar Colors [Tiered]", "View: Health - Ally [Status]", "View: Health - Non-ally [Status]", "View: Wound Categories [Detailed]".

Many of these settings have very little effect on the combat tracker of the DM but a major effect on the Player's trackers. If you are not sure what the settings mean and have a game in 5 minutes, the above are "safe" settings that don't show the players each others hps or the monster's hps, but do show how damaged they both are in 25% increments plus unhurt and dying/dead.

When you have time start a second instance so you can experiment with the "View" settings and see the results on the player trackers so you can customize them to your group. I have updated the first post to point to the latest 0.9.0 version. Let me know if you find any bugs in the extension.

rob2e
March 5th, 2016, 18:20
This extension causes CON and DEX to be switched in the party sheet. Any chance of that getting fixed?

Griogre
March 5th, 2016, 19:10
I'll take a look at it but it will probably be a day or two. I've got some work I have to do first.

rob2e
March 5th, 2016, 19:15
Cool. Thx. Love the extension.

Griogre
March 10th, 2016, 04:26
The extension has been updated to work with FG 3.1.7 changes to party sheet and the link on the first post has been updated to point to release 01.00.00 version. Its been stable long enough I'm going to call this the release candidate. Let me know if you see any bugs.

rob2e
March 10th, 2016, 05:35
Awesome. Thanks.

rob2e
March 10th, 2016, 05:42
No errors I can see...

GREAT!

Griogre
March 11th, 2016, 19:49
Glad you like it. :)

Griogre
November 4th, 2016, 05:14
My quick diff shows this to work with FG v3.2. Let me know if you see anything weird.

Jackological
November 5th, 2016, 08:08
Is it possible to customize the colors? I would like it to be Green Yellow Orange Red Black Grey instead

rob2e
November 5th, 2016, 08:10
Is it possible to customize the colors? I would like it to be Green Yellow Orange Red Black Grey instead

Yes. This! Is this possible? And what's the compatibility status with 3.2?

damned
November 5th, 2016, 08:20
Is it possible to customize the colors? I would like it to be Green Yellow Orange Red Black Grey instead

Crack it open - have a look.

rob2e
November 5th, 2016, 17:00
Crack it open - have a look.

{having only the slightest clue, and not being a professional programmer fearing the worst} Challenge accepted!

rob2e
November 5th, 2016, 17:40
Is it possible to customize the colors? I would like it to be Green Yellow Orange Red Black Grey instead

Seems you just need to edit manager_color.lua and change the colors to what you want.

If you're lost (like me), just change the .ext on the extension file to .zip, extract it, find that file, edit it, rezip, change the .zip back to .ext and you should be good. I just do this crap till I figure it out. I'm NOT a programmer.

Cheers!

damned
November 6th, 2016, 00:07
Seems you just need to edit manager_color.lua and change the colors to what you want.

If you're lost (like me), just change the .ext on the extension file to .zip, extract it, find that file, edit it, rezip, change the .zip back to .ext and you should be good. I just do this crap till I figure it out. I'm NOT a programmer.

Cheers!

Huzzah!

Jackological
November 6th, 2016, 01:12
Seems you just need to edit manager_color.lua and change the colors to what you want.

If you're lost (like me), just change the .ext on the extension file to .zip, extract it, find that file, edit it, rezip, change the .zip back to .ext and you should be good. I just do this crap till I figure it out. I'm NOT a programmer.

Cheers!

Thank you and damned, much appreciated!

rob2e
December 19th, 2018, 22:42
Seems this doesn't work with 3.3.7. Specifically, when you put a PC in the party sheet, it go boom!

Griogre
December 21st, 2018, 00:28
This extension has now been updated to work with FG 3.3.7. The error was related to more party sheet things being moved up into the core ruleset from the 5E one. The link in the first post now has the latest version. Let me know if you have any problems.

@rob2e The color lua file didn't have any changes, so you can just copy your custom manager_color.lua over the extention's one and it will just work.

rob2e
December 21st, 2018, 01:23
YESSSSSSSSSSSSSS! I love this extension.

ThanX!

Joe813210
November 15th, 2019, 20:36
I'm getting script errors for "hpbar" and "hdbar" strings opening the party sheet on 5e ruleset in v3.3.9. Anyone else?

Eru the One
November 15th, 2019, 23:17
Me too and let the dev know (my GM).

Griogre
November 16th, 2019, 03:26
Thanks for the report, I'll take a look at this tomorrow.

Griogre
November 17th, 2019, 19:20
Extension updated to work with FG 3.3.9 changes to party sheet and the link in the first post updated to point to release 02.00.00 version. Note this version works with *both* the 4E and 5E D&D rulesets. So the load text changed to note that and the name of the extension is now just AltWoundColors instead of 5E AltWoundColors.

Joe813210
November 29th, 2019, 23:19
Got the new .xml in & old removed but it doesn't seem to be showing up as an available extension when loading my campaign...hopefully I'm not being a moron. I've reloaded, restarted and triple-checked my available extensions list. Yes, I did see the name change note.

LordEntrails
November 30th, 2019, 00:24
Did you zip the folder when you rezipped it? That won't work. Only sip the contents of the folder and then rename to an extension.

Joe813210
November 30th, 2019, 01:18
Did you zip the folder when you rezipped it? That won't work. Only sip the contents of the folder and then rename to an extension.

Should be no zipping right... File provided is simply the .xml to be downloaded & placed into AppData\Roaming\Fantasy Grounds\extensions

LordEntrails
November 30th, 2019, 03:18
Should be no zipping right... File provided is simply the .xml to be downloaded & placed into AppData\Roaming\Fantasy Grounds\extensions
No.... Extensions either need to be zipped and renamed to .ext file extension, or a folder needs to be created that the .xml goes in, along with anything else the extension needs to work (such as images, lua files, etc).

If you look at post 1 of this thread, you see that a .ext file is linked. I don't know what's in it as I haven't downloaded and looked, but I assume any changes you made to it would need to be similarly packaged.

More details here; https://www.fantasygrounds.com/wiki/index.php/Data_Files_Overview

mattekure
November 30th, 2019, 20:42
The extension in the first post isnt packaged correctly. The zip file contains the parent folder, so FG will not recognize it as a valid extension. I've attached the same extension fixed without the parent folder. So if you download this ext file, restart FG, it should now be available to be selected.

EDIT* OP post was fixed. Removed my attachment

Griogre
December 6th, 2019, 19:59
Sorry guys I was busy and missed the packaging problem. I've updated the first post with it packaged correctly now. Thanks for posting a fix, mattekure :)

mattekure
December 6th, 2019, 20:14
Sorry guys I was busy and missed the packaging problem. I've updated the first post with it packaged correctly now. Thanks for posting a fix, mattekure :)

No Problem, thanks for the extension, I've removed the attachment from my post, everyone should use the post in OP.

vaughnlannister
September 26th, 2020, 13:39
Hi,

I don't know if this extension is still supported but its giving of an error in the latest FGU update.

Hopefully you might want to take a look.

The error happens if the tokens from the "Combat Tracker" are placed on a map. Then when you close and re-open the map it will trigger this error in the chat you can see in the screenshot I took.

Thanks! Been using it for a while and really like it!

39722

mattekure
September 26th, 2020, 14:10
Hi,

I don't know if this extension is still supported but its giving of an error in the latest FGU update.

Hopefully you might want to take a look.

The error happens if the tokens from the "Combat Tracker" are placed on a map. Then when you close and re-open the map it will trigger this error in the chat you can see in the screenshot I took.

Thanks! Been using it for a while and really like it!

39722

I'm pretty sure that this error is not from this extension. The error is in file "scripts/manager_token.lua" which is not part of this extension.

vaughnlannister
September 26th, 2020, 14:12
I'm pretty sure that this error is not from this extension. The error is in file "scripts/manager_token.lua" which is not part of this extension.

Ok strange, all my other extension are on, expect for this one and the error isn't triggered anymore.

I did a test with only this extension on and the error still popped up, also the blue health bar that should be on the side of the token was gone.

I was able to reproduce the other error message I got before.

39723

mattekure
September 26th, 2020, 14:15
Ok strange, all my other extension are on, expect for this one and the error isn't triggered anymore.

Its always possible that this extension changes something that causes another extension to throw an error. But the error is occuring somewhere else.

vaughnlannister
September 26th, 2020, 14:27
Its always possible that this extension changes something that causes another extension to throw an error. But the error is occuring somewhere else.

Ok but in my last test I had only this extension on. So might be related FGU token locking or something new that was added.

mattekure
September 26th, 2020, 14:29
Its certainly possible. If the underlying ruleset changed how some things are represented, this extension may have changed a value that causes the new code to throw an error. I use this extension, so I will be taking a close look at it for my games.

vaughnlannister
September 26th, 2020, 14:31
Its certainly possible. If the underlying ruleset changed how some things are represented, this extension may have changed a value that causes the new code to throw an error. I use this extension, so I will be taking a close look at it for my games.

Cool thanks Mattekure :)!

mattekure
September 26th, 2020, 14:44
I can confirm that the presence of this extension does cause the error to show up. The error itself is occurring in the CoreRPG ruleset file manager_token.lua. I'm not sure yet why. The error is indicating that its trying to combine two strings and one of them is not defined.

vaughnlannister
September 26th, 2020, 14:58
Mhmm Ok, so maybe string definition were changed slightly, after the new update, so could be then just to find the right string its trying to combine?
I'm guessing one string might be for the health-bar and the other could be related to colour adaption from the extension.
I'm no coder, so definitely not an expert in this area.

mattekure
September 26th, 2020, 15:03
Ok, I got it figured out. The extension was basically overwriting the manager_color.lua file with a tweaked version that has the new colors. But since the update, there are new variables in the file that are required but not present in the extensions version. Easy enough fix, I have posted my fixed version here until the author updates the OP.

Attachment removed since the OP updated

vaughnlannister
September 26th, 2020, 15:09
Great thanks :)! lovely that we'll be able to use it again for our games :D

Griogre
September 27th, 2020, 07:13
Thanks, mattekure for posting this fix I'll take a look at this tomorrow.

mattekure
September 27th, 2020, 14:52
Thanks, mattekure for posting this fix I'll take a look at this tomorrow.

Absolutely. Love the extension. Once you post your update I’ll take my copy down. The only thing I changed was to add in the small number of new variables.

Griogre
September 27th, 2020, 21:12
The first post has been updated with version 200001 to allow the extension to work with changes to manager_color.lua. You should delete the old extension and use this one instead.

Still ToDo: The extension's overwrite of the HP and HD bar colors on the party sheet is currently not working correctly. There seems to be a number of changes to the scripts there that I will have to research before I make a fix.

kevininrussia
October 9th, 2020, 08:31
Thanks for the update! I noticed that this extension (older version) was throwing an error with the build on 10/9/2020. The new version is working great now with 4e.

Griogre
October 12th, 2020, 04:54
You're welcome! :)

kevininrussia
October 31st, 2020, 05:23
4e: In the Party Sheet the color bars for HP and Surges are always green. The wound colors on Tokens, CT, and Player Sheet are correct. With this extension turned off, the bars on the Party Sheet work correctly (different colors for different value and height of bar).

https://i.imgur.com/0owt9uq.png

Here is what it looks like with the extension off:

https://i.imgur.com/r8pVMt9.png

Griogre
November 2nd, 2020, 07:34
It's on my radar, but I haven't gotten to it yet. Changes in the party sheet means I'll have to research it. Nobody else than the party sheet was using the vertical bars so the color override was in the top level bar code.

kevininrussia
March 10th, 2021, 19:38
Is there a way for this extension to overwrite a purchased FG Theme? I tried bumping <loadorder>250</loadorder> but that didn't do anything...

kevininrussia
March 10th, 2021, 20:19
4E ruleset:

I made a test campaign with no extensions but this one and the HP colors on the Combat Tracker are not changing.

LordEntrails
March 10th, 2021, 20:32
Does this extension still even work in a otherwise vanilla campaign? Give the couple of major ruleset updates since this was last updated, I would look to see if it is even working by itself in 5E before figuring out why it's not working with themes etc.

kevininrussia
March 10th, 2021, 20:36
Does this extension still even work in a otherwise vanilla campaign? Give the couple of major ruleset updates since this was last updated, I would look to see if it is even working by itself in 5E before figuring out why it's not working with themes etc.

Yes, on the post above I mentioned no extensions but forgot to say no themes. This extension works with 4e (its in the extension.xml). So with no themes and no extensions but this one. And new clean campaign.

Griogre
March 10th, 2021, 20:38
Hmm. High load order works best with graphic elements. This extension is mostly changes to LUA script color values. Let me see what I can find out. I don't have any purchased themes.

kevininrussia
March 10th, 2021, 20:40
Hmm. High load order works best with graphic elements. This extension is mostly changes to LUA script color values. Let me see what I can find out. I don't have any purchased themes.

Does not work with no theme selected. Tested in 5e clean campaign. Only two colors on combat tracker.

Griogre
March 10th, 2021, 22:13
In 5E it seems to work for me?

Maybe, because it was a fresh campaign - you still have "View: Wound Categories" set to Simple? That's the default setting and that just uses two colors: green < 50% and red 50-99%?

For this extension in my campaigns I use Wound Categories, Detailed; Bar Colors, Tiered; Health - Non-ally, Status; Health - Ally, Status

kevininrussia
March 10th, 2021, 22:18
oh, fardge. I think you are correct on the Wound Categories. I forgot about needing to set that in the Settings.... SORRY!

kevininrussia
March 10th, 2021, 22:52
Ok, so with a clean no extension and no theme with options set correctly this extension works as it should. BUT with FG Modern Theme activated, the extension does not work for some reason. I'll tell the Theme maker about it.